diff --git a/src/generators.h b/src/generators.h
index 8c572c5..d02537c 100644
--- a/src/generators.h
+++ b/src/generators.h
@@ -222,6 +222,64 @@ enum {
     DECODE_INDEX_MAX
 };
 
+/* SCTP starts at 320 to leave room for other enums */
+#define     DECODE_SCTP_DGRAM_LT_SCTPHDR                320
+#define     DECODE_SCTP_CSUM_IS_ADLER32                 321
+#define     DECODE_SCTP_CHUNK_ZERO_LENGTH               322
+#define     DECODE_SCTP_CHUNK_LEN_GT_DGRAM              323
+#define     DECODE_SCTP_DATA_C_BAD_LEN                  324
+#define     DECODE_SCTP_DATA_C_RSVD_NZERO               325
+#define     DECODE_SCTP_INIT_C_BAD_LEN                  326
+#define     DECODE_SCTP_INIT_C_FLAGS_NZERO              327
+#define     DECODE_SCTP_INIT_C_ITAG_ZERO                328
+#define     DECODE_SCTP_INIT_C_VTAG_NZERO               329
+#define     DECODE_SCTP_INIT_C_NOUTSTR_ZERO             330
+#define     DECODE_SCTP_INIT_C_NINSTR_ZERO              331
+#define     DECODE_SCTP_INIT_ACK_C_BAD_LEN              332
+#define     DECODE_SCTP_INIT_ACK_C_FLAGS_NZERO          333
+#define     DECODE_SCTP_INIT_ACK_C_ITAG_ZERO            334
+#define     DECODE_SCTP_INIT_ACK_C_NOUTSTR_ZERO         335
+#define     DECODE_SCTP_INIT_ACK_C_NINSTR_ZERO          336
+#define     DECODE_SCTP_SACK_C_BAD_LEN                  337
+#define     DECODE_SCTP_SACK_C_FLAGS_NZERO              338
+#define     DECODE_SCTP_HEARTBEAT_C_BAD_LEN             339
+#define     DECODE_SCTP_HEARTBEAT_C_FLAGS_NZERO         340
+#define     DECODE_SCTP_HEARTBEAT_ACK_C_BAD_LEN         341
+#define     DECODE_SCTP_HEARTBEAT_ACK_C_FLAGS_NZERO     342
+#define     DECODE_SCTP_ABORT_C_BAD_LEN                 343
+#define     DECODE_SCTP_ABORT_C_RSVD_NZERO              344
+#define     DECODE_SCTP_SHUTDOWN_C_BAD_LEN              345
+#define     DECODE_SCTP_SHUTDOWN_C_FLAGS_NZERO          346
+#define     DECODE_SCTP_SHUTDOWN_ACK_C_BAD_LEN          347
+#define     DECODE_SCTP_SHUTDOWN_ACK_C_FLAGS_NZERO      348
+#define     DECODE_SCTP_ERROR_C_BAD_LEN                 349
+#define     DECODE_SCTP_ERROR_C_FLAGS_NZERO             350
+#define     DECODE_SCTP_COOKIE_ECHO_C_BAD_LEN           351
+#define     DECODE_SCTP_COOKIE_ECHO_C_FLAGS_NZERO       352
+#define     DECODE_SCTP_COOKIE_ACK_C_BAD_LEN            353
+#define     DECODE_SCTP_COOKIE_ACK_C_FLAGS_NZERO        354
+#define     DECODE_SCTP_ECNE_C_BAD_LEN                  355
+#define     DECODE_SCTP_ECNE_C_FLAGS_NZERO              356
+#define     DECODE_SCTP_CWR_C_BAD_LEN                   357
+#define     DECODE_SCTP_CWR_C_FLAGS_NZERO               358
+#define     DECODE_SCTP_SHUTDOWN_COMPLETE_C_BAD_LEN     359
+#define     DECODE_SCTP_SHUTDOWN_COMPLETE_C_RSVD_NZERO  360
+#define     DECODE_SCTP_AUTH_C_BAD_LEN                  361
+#define     DECODE_SCTP_AUTH_C_FLAGS_NZERO              362
+#define     DECODE_SCTP_ASCONF_ACK_C_BAD_LEN            363
+#define     DECODE_SCTP_ASCONF_ACK_C_FLAGS_NZERO        364
+#define     DECODE_SCTP_PKTDROP_C_BAD_LEN               365
+#define     DECODE_SCTP_PKTDROP_C_FLAGS_NZERO           366
+#define     DECODE_SCTP_PKTDROP_C_RSVD_NZERO            367
+#define     DECODE_SCTP_RECONFIG_C_BAD_LEN              368
+#define     DECODE_SCTP_RECONFIG_C_FLAGS_NZERO          369
+#define     DECODE_SCTP_PAD_C_BAD_LEN                   370
+#define     DECODE_SCTP_PAD_C_FLAGS_NZERO               371
+#define     DECODE_SCTP_FORWARD_TSN_C_BAD_LEN           372
+#define     DECODE_SCTP_FORWARD_TSN_C_FLAGS_NZERO       373
+#define     DECODE_SCTP_ASCONF_C_BAD_LEN                374
+#define     DECODE_SCTP_ASCONF_C_FLAGS_NZERO            375
+
 
 //-----------------------------------------------------
 /*
@@ -319,6 +377,15 @@ enum {
 
 #define     PSNG_OPEN_PORT                         27
 
+#define     PSNG_SCTP_PORTSCAN                     28
+#define     PSNG_SCTP_DECOY_PORTSCAN               29
+#define     PSNG_SCTP_PORTSWEEP                    30
+#define     PSNG_SCTP_DISTRIBUTED_PORTSCAN         31
+#define     PSNG_SCTP_FILTERED_PORTSCAN            32
+#define     PSNG_SCTP_FILTERED_DECOY_PORTSCAN      33
+#define     PSNG_SCTP_PORTSWEEP_FILTERED           34
+#define     PSNG_SCTP_FILTERED_DISTRIBUTED_PORTSCAN     35
+
 #define GENERATOR_SPP_FRAG3                       123
 #define     FRAG3_IPOPTIONS                         1
 #define     FRAG3_TEARDROP                          2
@@ -723,6 +790,64 @@ enum {
 #define DECODE_IPV6_BAD_FRAG_PKT_STR "(snort_decoder) WARNING: bogus fragmentation packet. Possible BSD attack"
 #define DECODE_ZERO_LENGTH_FRAG_STR "(snort_decoder) WARNING: fragment with zero length"
 
+/* SCTP Decoder strings */
+#define DECODE_SCTP_DGRAM_LT_SCTPHDR_STR "(snort_decoder) WARNING: SCTP packet len is smaller than 12 bytes!"
+#define DECODE_SCTP_CSUM_IS_ADLER32_STR "snort_decoder) WARNING: SCTP Checksum is Adler32, not CRC32c!"
+#define DECODE_SCTP_CHUNK_ZERO_LENGTH_STR "(snort_decoder) WARNING: SCTP chunk length is zero bytes!"
+#define DECODE_SCTP_CHUNK_LEN_GT_DGRAM_STR "(snort_decoder) WARNING: SCTP chunk length is greater than remainder of the packet!"
+#define DECODE_SCTP_DATA_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP DATA chunk length is less than 17 bytes!"
+#define DECODE_SCTP_DATA_C_RSVD_NZERO_STR "(snort_decoder) WARNING: SCTP DATA chunk reserved flags field is non-zero!"
+#define DECODE_SCTP_INIT_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP INIT chunk length is less than 20 bytes!"
+#define DECODE_SCTP_INIT_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP INIT chunk flags field is non-zero!"
+#define DECODE_SCTP_INIT_C_ITAG_ZERO_STR "(snort_decoder) WARNING: SCTP INIT chunk and initiate tag is == 0!"
+#define DECODE_SCTP_INIT_C_VTAG_NZERO_STR "(snort_decoder) WARNING: SCTP INIT chunk and verification tag is > 0!"
+#define DECODE_SCTP_INIT_C_NOUTSTR_ZERO_STR "(snort_decoder) WARNING: SCTP INIT chunk # of outbound streams is zero!"
+#define DECODE_SCTP_INIT_C_NINSTR_ZERO_STR "(snort_decoder) WARNING: SCTP INIT chunk # of inbound streams is zero!"
+#define DECODE_SCTP_INIT_ACK_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP INIT_ACK chunk length is less than 20 bytes!"
+#define DECODE_SCTP_INIT_ACK_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP INIT_ACK chunk flags field is non-zero!"
+#define DECODE_SCTP_INIT_ACK_C_ITAG_ZERO_STR "(snort_decoder) WARNING: SCTP INIT_ACK chunk and initiate tag is == 0!"
+#define DECODE_SCTP_INIT_ACK_C_NOUTSTR_ZERO_STR "(snort_decoder) WARNING: SCTP INIT_ACK chunk # of outbound streams is zero!"
+#define DECODE_SCTP_INIT_ACK_C_NINSTR_ZERO_STR "(snort_decoder) WARNING: SCTP INIT_ACK chunk # of inbound streams is zero!"
+#define DECODE_SCTP_SACK_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP SACK chunk length is less than 16 bytes!"
+#define DECODE_SCTP_SACK_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP SACK chunk flags field is non-zero!"
+#define DECODE_SCTP_HEARTBEAT_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP HEARTBEAT chunk length is less than 8 bytes!"
+#define DECODE_SCTP_HEARTBEAT_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP HEARTBEAT chunk flags field is non-zero!"
+#define DECODE_SCTP_HEARTBEAT_ACK_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP HEARTBEAT_ACK chunk length is less than 8 bytes!"
+#define DECODE_SCTP_HEARTBEAT_ACK_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP HEARTBEAT_ACK chunk flags field is non-zero!"
+#define DECODE_SCTP_ABORT_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP ABORT chunk length is less than 4 bytes!"
+#define DECODE_SCTP_ABORT_C_RSVD_NZERO_STR "(snort_decoder) WARNING: SCTP ABORT chunk reserved flags field is non-zero!"
+#define DECODE_SCTP_SHUTDOWN_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP SHUTDOWN chunk length is less than 8 bytes!"
+#define DECODE_SCTP_SHUTDOWN_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP SHUTDOWN chunk flags field is non-zero!"
+#define DECODE_SCTP_SHUTDOWN_ACK_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP SHUTDOWN_ACK chunk length is less than 4 bytes!"
+#define DECODE_SCTP_SHUTDOWN_ACK_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP SHUTDOWN_ACK chunk flags field is non-zero!"
+#define DECODE_SCTP_ERROR_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP ERROR chunk length is less than 8 bytes!"
+#define DECODE_SCTP_ERROR_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP ERROR chunk flags field is non-zero!"
+#define DECODE_SCTP_COOKIE_ECHO_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP COOKIE_ECHO chunk length is less than 4 bytes!"
+#define DECODE_SCTP_COOKIE_ECHO_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP COOKIE_ECHO chunk flags field is non-zero!"
+#define DECODE_SCTP_COOKIE_ACK_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP COOKIE_ACK chunk length is less than 4 bytes!"
+#define DECODE_SCTP_COOKIE_ACK_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP COOKIE_ACK chunk flags field is non-zero!"
+#define DECODE_SCTP_ECNE_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP ECNE chunk length is less than 8 bytes!"
+#define DECODE_SCTP_ECNE_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP ECNE chunk flags field is non-zero!"
+#define DECODE_SCTP_CWR_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP CWR chunk length is less than 8 bytes!"
+#define DECODE_SCTP_CWR_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP CWR chunk flags field is non-zero!"
+#define DECODE_SCTP_SHUTDOWN_COMPLETE_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP SHUTDOWN_COMPLETE chunk length is less than 4 bytes!"
+#define DECODE_SCTP_SHUTDOWN_COMPLETE_C_RSVD_NZERO_STR "(snort_decoder) WARNING: SCTP SHUTDOWN_COMPLETE chunk reserved flags field is non-zero!"
+#define DECODE_SCTP_AUTH_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP AUTH chunk length is less than 4 bytes!"
+#define DECODE_SCTP_AUTH_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP AUTH chunk flags field is non-zero!"
+#define DECODE_SCTP_ASCONF_ACK_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP ASCONF_ACK chunk length is less than 8 bytes!"
+#define DECODE_SCTP_ASCONF_ACK_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP ASCONF_ACK chunk flags field is non-zero!"
+#define DECODE_SCTP_PKTDROP_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP PKTDROP chunk length is less than 8 bytes!"
+#define DECODE_SCTP_PKTDROP_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP PKTDROP chunk flags field is non-zero!"
+#define DECODE_SCTP_PKTDROP_C_RSVD_NZERO_STR "(snort_decoder) WARNING: SCTP PKTDROP reserved field is non-zero!"
+#define DECODE_SCTP_RECONFIG_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP RECONFIG chunk length is less than 4 bytes!"
+#define DECODE_SCTP_RECONFIG_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP RECONFIG chunk flags field is non-zero!"
+#define DECODE_SCTP_PAD_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP PAD chunk length is less than 4 bytes!"
+#define DECODE_SCTP_PAD_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP PAD chunk flags field is non-zero!"
+#define DECODE_SCTP_FORWARD_TSN_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP FORWARD_TSN chunk length is less than 12 bytes!"
+#define DECODE_SCTP_FORWARD_TSN_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP FORWARD_TSN chunk flags field is non-zero!"
+#define DECODE_SCTP_ASCONF_C_BAD_LEN_STR "(snort_decoder) WARNING: SCTP ASCONF chunk length is less than 12 bytes!"
+#define DECODE_SCTP_ASCONF_C_FLAGS_NZERO_STR "(snort_decoder) WARNING: SCTP ASCONF chunk flags field is non-zero!"
+
 /*  RPC decode preprocessor strings */
 #define RPC_FRAG_TRAFFIC_STR "(spp_rpc_decode) Fragmented RPC Records"
 #define RPC_MULTIPLE_RECORD_STR "(spp_rpc_decode) Multiple RPC Records"
@@ -757,6 +882,15 @@ enum {
 #define PSNG_UDP_FILTERED_DISTRIBUTED_PORTSCAN_STR "(portscan) UDP Filtered Distributed Portscan"
 #define PSNG_UDP_PORTSWEEP_FILTERED_STR "(portscan) UDP Filtered Portsweep"
 
+#define PSNG_SCTP_PORTSCAN_STR "(portscan) SCTP Portscan"
+#define PSNG_SCTP_DECOY_PORTSCAN_STR "(portscan) SCTP Decoy Portscan"
+#define PSNG_SCTP_PORTSWEEP_STR "(portscan) SCTP Portsweep"
+#define PSNG_SCTP_DISTRIBUTED_PORTSCAN_STR "(portscan) SCPT Distributed Portscan"
+#define PSNG_SCTP_FILTERED_PORTSCAN_STR "(portscan) SCTP Filtered Portscan"
+#define PSNG_SCTP_FILTERED_DECOY_PORTSCAN_STR "(portscan) SCPT Filtered Decoy Portscan"
+#define PSNG_SCTP_FILTERED_DISTRIBUTED_PORTSCAN_STR "(portscan) SCTP Filtered Distributed Portscan"
+#define PSNG_SCTP_PORTSWEEP_FILTERED_STR "(portscan) SCTP Filtered Portsweep"
+
 #define PSNG_ICMP_PORTSWEEP_STR "(portscan) ICMP Sweep"
 #define PSNG_ICMP_PORTSWEEP_FILTERED_STR "(portscan) ICMP Filtered Sweep"
 
